//By Mogcid
events.listen('recipes', event => {
event.custom({
  "type": "exnihilosequentia:sieve",
  "rolls": [
    {
      "chance": 0.05,
      "mesh": "flint"
    },
    {
      "chance": 0.075,
      "mesh": "iron"
    },
    {
      "chance": 0.1,
      "mesh": "diamond"
    }
  ],
  "input": {
    "item": 'minecraft:soul_sand'
  },
  "result": {
    "item": 'mysticalagriculture:soulium_dust'
  }
})
  event.custom({
   "type": "mysticalagriculture:infusion",
  "input": {
    "item": 'mysticalagriculture:prosperity_seed_base'
  },
  "ingredients": [
    {
      "item": 'mysticalagriculture:inferium_essence'
    },
    {
      "item": 'industrialforegoing:dryrubber'
    },
    {
      "item": 'mysticalagriculture:inferium_essence'
    },
    {
      "item": 'industrialforegoing:dryrubber'
    },
	 {
      "item": 'mysticalagriculture:inferium_essence'
    },
	 {
      "item": 'industrialforegoing:dryrubber'
    },
	 {
      "item": 'mysticalagriculture:inferium_essence'
    },
    {
      "item": 'industrialforegoing:dryrubber'
    }
  ],
  "result": {
    "item": 'mysticalagriculture:rubber_seeds'
  }
})

event.shaped('6x industrialforegoing:plastic', [
  ' a ',
  ' a ',
  ' a '
], {
  a: 'mysticalagriculture:rubber_essence',
})
event.shaped('minecraft:sponge', [
  'aba',
  'bca',
  'aba'
], {
  a: 'minecraft:prismarine_shard',
  b: 'minecraft:prismarine_crystals',
  c: 'minecraft:pufferfish'
})
event.shaped('mysticalagriculture:soulstone', [
  'aaa',
  'a a',
  'aaa'
], {
  a: 'mysticalagriculture:soulium_dust',
})
event.recipes.botanypots.crop({
  seed: {
      item: 'mysticalagriculture:apatite_seeds',
  },
  categories: ["prudentium"],
  growthTicks: 4200,
  display: {
      block: "mysticalagriculture:cobalt_crop",
      properties: {
          age: 7,
      },
  },
  results: [
      {
          chance: 0.75,
          output: {
              item: 'mysticalagriculture:apatite_essence',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.05,
          output: {
              item: 'mysticalagriculture:apatite_seeds',
          },
          minRolls: 1,
          maxRolls: 1,
      },
      {
          chance: 0.01,
          output: {
              item: "mysticalagriculture:fertilized_essence",
          },
          minRolls: 1,
          maxRolls: 1,
      },
  ],
});
//Chaotic bee flower
event.shaped('mogcid:chaotic_bee_flower', [
  'aba',
  'bcb',
  'aba'
], {
  a: 'draconicevolution:awakened_core',
  b: 'draconicevolution:chaos_shard',
  c: 'minecraft:dragon_egg'
})
// Resourceful bees lava honeycomb
event.shaped('minecraft:lava_bucket', [
  'abc',
  ' a ',
  '  a'
], {
  a: 'resourcefulbees:lava_honeycomb'
})


    

//RB Bee
events.listen('recipes', function (e) {

  var cuShaped = e.recipes.cucumber.shaped_no_mirror

  function dyeShaped(result, pattern) {
    cuShaped({
      'pattern': pattern,
      'key': {
        'C': {
          'item': 'resourcefulbees:rgbee_honeycomb'
        }
      },
      'result': {
        'item': result,
        'count': 6
      }
    })
  }
  dyeShaped('minecraft:red_dye', ['  C',' C ',' C '])
  dyeShaped('minecraft:green_dye', ['  C','CC ','   '])
  dyeShaped('minecraft:purple_dye', ['  C','  C',' C '])
  dyeShaped('minecraft:cyan_dye', ['C C',' C ','   '])
  dyeShaped('minecraft:light_gray_dye', [' C ',' C ','  C'])
  dyeShaped('minecraft:gray_dye', ['  C',' C ','C  '])
  dyeShaped('minecraft:pink_dye', ['C  ',' C ','  C'])
  dyeShaped('minecraft:lime_dye', ['  C','  C','  C'])
  dyeShaped('minecraft:yellow_dye', [' C ',' C ',' C '])
  dyeShaped('minecraft:light_blue_dye', ['C  ','C  ','C  '])
  dyeShaped('minecraft:magenta_dye', ['   ','   ','CCC'])
  dyeShaped('minecraft:orange_dye', ['   ','CCC','   '])
  dyeShaped('minecraft:blue_dye', ['   ',' C ','C C'])
  dyeShaped('minecraft:brown_dye', ['  C',' C ','  C'])
  dyeShaped('minecraft:black_dye', ['   ','CC ','  C'])
  dyeShaped('minecraft:white_dye', ['CCC','   ','   '])
  
    })
})
onEvent('recipes', event => {
  //Mining Dimension
  event.remove({output: 'mining_dimension:teleporter'})
  event.shaped('mining_dimension:teleporter', [
    'abc',
    'bdb',
    'cba'
  ], {
    a: 'exnihilosequentia:bucket_witchwater',
	  b: 'minecraft:iron_block',
    c: 'exnihilosequentia:mesh_netherite',
    d: 'minecraft:diamond_pickaxe'
  })
  //Doll Basalz
  event.remove({output: 'exnihilosequentia:doll_basalz'})
  event.shaped('exnihilosequentia:doll_basalz', [
    'aba',
    'ece',
    'ada'
  ], {
    a: '#forge:dusts/obsidian',
	b: 'minecraft:redstone',
    c: 'exnihilosequentia:doll_crafting',
    d: 'minecraft:nether_wart',
	e: 'minecraft:glowstone_dust'
  })
})



